// DataGrabber.cpp : Defines the entry point for the console application.
//




#include "stdafx.h"


#include <time.h>

typedef struct blockstr
{

 unsigned short count;
	unsigned short overrun;
	unsigned long  seconds;
	unsigned long  microseconds;


	unsigned short data[249];

	unsigned short space;

} blockstr;



int swopbytes(int b)
{

 return(((b&0xFF)<<8)|((b&0xFF00)>>8));

}



int main(int argc, char* argv[])
{
	unsigned long oldmicros;
	unsigned long newmicros;
 int      blockcount=0;
	blockstr block;
 struct tm  ts;
 char       buf[80];
	time_t     now;
	
	
	printf("Hello World!\n");
 printf("block size %d\n",sizeof(blockstr));



	FILE * fp=fopen("analog08.bin","rb");
 if(fp)
	{
  while(!feof(fp))
 	{

			if(fread(&block,sizeof(block),1,fp)==1)
   {
				now=(time_t)block.seconds;
				now+=946684800;//315964800;
    ts = *localtime(&now);
    strftime(buf, sizeof(buf), "%a %Y-%m-%d %H:%M:%S %Z", &ts);

    printf("block %d seconds %d micros %d count %d overrun %d (%s)\n",blockcount++,block.seconds,block.microseconds,block.count,block.overrun,buf);

    for(int i=0;i<block.count;i+=3)
			 {
     printf("%x %x %x\n",swopbytes(block.data[i]),swopbytes(block.data[i+1]),swopbytes(block.data[i+2]));
			 }

				newmicros=block.seconds*1000000+block.microseconds;
    printf("microseconds %lu\n",newmicros-oldmicros);
    oldmicros=newmicros;


   }
		}
		fclose(fp);
	}
	else
	{
  printf("failed to open file\n");

	}

	return 0;
}

